%define upstream_name    Config-Merge
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Load Perl config files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Config::Merge is a configuration module which has six goals:

* * Flexible storage

  Store all configuration in your format(s) of choice (YAML, JSON, INI,
  XML, Perl, Config::General / Apache-style config) broken down into
  individual files in a configuration directory tree, for easy maintenance.
  See the /"CONFIG TREE LAYOUT" manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.40.0-6.mga10
+ Revision: 2207617
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.40.0-5.mga9
+ Revision: 1817051
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-4.mga8
+ Revision: 1493572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-3.mga7
+ Revision: 1266589
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1024299
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.40.0-1.mga6
+ Revision: 924898
- imported package perl-Config-Merge


* Mon Jan 11 2016 buchan 1.04-1mga
- initial mageia release, generated with cpan2dist
